Създаване на многоредови атрибути

Безплатни 20 урока
регистрирай се и научи

Ако сте вече потребител - Регистриран съм
Видео

Въпроси и отговори

  • Включване на BLOCKEDITOR

    татяна:

    Имам проблем с включването на BLOCKEDITOR-а, когато в блока има атрибут. Ако няма атрибут-двойно кликане б/у блока включват блокредактора и всичко е ОК. Ако има атрибут-двойното кликане в/у блока отваря таблица-редактор на самия атрибут и не дава възможност да редактирам блока. Опитах с изписването на командата BLOCKEDITOR и не става. Излиза надпис: BLOCKEDITOR = 0 (read only). Не мога да повторя упражнението от този урок.

    татяна:

    Колеги, открих си проблема. За да може да се редактира блок, трябва да е отключен за редакция. Това става с: BLOCKEDITLOCK. Трябва да се избере стойност (0).

    Иван Цукев:

    Радвам се, че си открила проблема, BLOCKEDITLOCK е системна променлива, която забранява отварянето на редактора на динамични блокове. Но тази опция изрично трябва да е включена, за да се случи този казус. По подразбиране това "заключване" на редактора не е зададено.

    инж. Александър Жипонов:

    Ако дадеш десен бутон на мишката върху block-a и след това клилнеш "block editor" също става

    инж. С.Цонков:

    Отговора на Тана е кратък и изчирпателен. Харесва ми.

  • Защо не се получава?

    Елена Борисова:

    При мен нещо не се получава  това с преминаването на следващия ред. Задавам ограничение на полето и текста продължава да си стои на един ред, освен ако не дам enter, за да премине на следващ ред. обнових няколко пъти блока и не се получава. Имате ли предложения?

    Елена Борисова:

    открих проблема- проблем със самия AUTCAD- след рестартиране всичко се оправи :)

  • Защо не се получава  антетката

    Пламен:

    При мен не се получава антетката.Като задам на името на обекта ограниченията за дължина ,после при ново вкарване не мога директно да пиша името ,а трябва пак да задавам ограничение.Това не е чак такъв проблем ,но при изписване на името не се спазва ограничението дори и след ATTSYNC

    Пламен:

    ето и две снимки

    Пламен:

    тук е след ATTSYNC

    Велина:

    И при мен не запазва това ограничение при следващ insert. За спазването на зададено ограничение забелязах, че не прекъсва текста, ако в него няма space (както е в твоя пример).

  • защо се променя форматиране на многоредов атрибут

    Николай:

    Здравейте, когато задам форматиране на многоредов атрибут, след влизане в блока за други промени (добавяне на друг атрибут напр) атрибута се форматира самостоятелно в друга форма - напр.от два реда става на 3 реда, по- тесен. Как да го избегна?

    Краси Кръстев:

    Здравей, мисля че един от най - лесните варианти е в Properties да зададеш малко по - голяма стойност на Defined width - снимка 1.

    Снимка_1

    Николай:

    Здравей, в характеристиките на атрибута не намирам defined width.

    Краси Кръстев:

    Ами Boundary width

    Николай:

    Благодаря, това е.

    Краси Кръстев:

    ОК, радвам се че разрешихме казуса.

  • Многоредов атрибут да стане пак обикновен едноредов. Как?

    VAiOS:

    Изпълнявайки наученото от видеото задавам на един обикновен атрибут да стане многоредов (Multiple lines). До тук всичко е ОК. Въпросът е как да върна обратно да си бъде едноредов. Примерно, по грешка съм задал на някой атрибут да е многоредов, но вече не мога да върна обратно настройката - "yes" стои сиво и съответно не ми позволява корекция (виж снимка 1)

    Как да го направя пак едноредов? (Multiple lines)

    Краси Кръстев:

    Здравей, VAiOS.

    Да има го този проблем в AutoCAD.

    Ето този лисп:

    (defun c:convertMattribute (/ ss i)
    (if (setq ss (ssget '((0 . "ATTDEF"))))
    (progn
    (setq i 0)
    (repeat (sslength ss)
    (vla-put-mtextattribute
    (vlax-ename->vla-object
    (ssname ss i))
    :vlax-false
    )
    (setq i (1+ i))
    )
    )
    )
    (princ)
    )
    

    ще реши проблема.

    Зарежда се като стандартен lisp.

    Прилага се с командата convertMattribute , след като го стартираш с командата следва да те попита за кой точно атрибут става дума селектираш го и той вече е едноредов, съответно и самата опция (снимка 1 позциия 1), ПОНЕ до момента в който пак него направиш многоредов.

    Снимка_1

    VAiOS:

    Пробвах го. Работи :) Благодаря! Добре, че има кой да пише lisp-ове и да обравя кашите на Autodesk :)

    Краси Кръстев:

    Моля!

    Супер е че нещата при теб работят!